package com.wd.workoffice.ui.activity.bat.work;

import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.LinearLayout;

import com.wd.workoffice.R;
import com.wd.workoffice.app.WorkToolBarActivity;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;

/**
 * 工作台 - 往来-详情
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class WorkContactsDetailActivity extends WorkToolBarActivity {

    @BindView(R.id.ll_info)
    LinearLayout llInfo;
    @BindView(R.id.ll_receive)
    LinearLayout llReceive;
    @BindView(R.id.ll_live)
    LinearLayout llLive;
    @BindView(R.id.ll_settle)
    LinearLayout llSettle;
    @BindView(R.id.ll_client)
    LinearLayout llClient;
    @BindView(R.id.ll_order)
    LinearLayout llOrder;
    @BindView(R.id.ll_return)
    LinearLayout llReturn;
    @BindView(R.id.ll_receive_ticket)
    LinearLayout llReceiveTicket;
    @BindView(R.id.ll_open_ticket)
    LinearLayout llOpenTicket;
    @BindView(R.id.ll_pay)
    LinearLayout llPay;

    @Override
    protected void initView() {
        ButterKnife.bind(this);
        if (TextUtils.equals("客户", getIntent().getStringExtra("partTypeNames"))) {
            llReceiveTicket.setVisibility(View.GONE);
            llPay.setVisibility(View.GONE);
        } else {
            llReceive.setVisibility(View.GONE);
            llClient.setVisibility(View.GONE);
            llOpenTicket.setVisibility(View.GONE);
        }
        setTitle(getIntent().getStringExtra("title"));
    }

    @Override
    protected void initData() {
    }

    @Override
    protected void initEvent() {
    }

    @Override
    protected int layoutId() {
        return R.layout.activity_work_contacts_detail;
    }


    @OnClick({R.id.ll_pay,R.id.ll_info, R.id.ll_receive, R.id.ll_live, R.id.ll_settle, R.id.ll_receive_ticket, R.id.ll_open_ticket, R.id.ll_order, R.id.ll_return})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.ll_info:
                startActivity(WorkContactsInfoActivity.class, "id", getIntent().getStringExtra("id"));
                break;
            case R.id.ll_receive:
                break;
            case R.id.ll_pay:
                break;
            case R.id.ll_live:
                break;
            case R.id.ll_settle:
                break;
            case R.id.ll_receive_ticket:
                startActivity(WorkReceiveTicketActivity.class, "id", getIntent().getStringExtra("id"));
                break;
            case R.id.ll_open_ticket:
                startActivity(WorkOpenTicketActivity.class, "id", getIntent().getStringExtra("id"));

                break;
            case R.id.ll_order:
                break;
            case R.id.ll_return:
                break;
        }
    }

}
